#if !defined(AFX_PROPPAGEGENERAL_H__DC827D98_A5BE_4E75_9042_9A6BE30D9C8D__INCLUDED_)
#define AFX_PROPPAGEGENERAL_H__DC827D98_A5BE_4E75_9042_9A6BE30D9C8D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProppageGeneral.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CProppageGeneral dialog
// 11/23-2 New class

class CProppageGeneral : public CPropertyPage
{
	DECLARE_DYNCREATE(CProppageGeneral)

// Construction
public:
	CProppageGeneral();
	~CProppageGeneral();

// Dialog Data
	//{{AFX_DATA(CProppageGeneral)
	enum { IDD = IDD_PROPPAGE_GENERAL };
	CComboBox	m_comboFontSzRight;
	CComboBox	m_comboFontSzLeft;
	CComboBox	m_comboFontRight;
	CComboBox	m_comboFontLeft;
	CEdit	m_editVolPercent;
	CButton	m_checkStartVol;
	BOOL	m_bStartVol;
	int		m_iVolPercent;
	//}}AFX_DATA

/*pre rework
	CComboBox	m_comboFontSz;
	CComboBox	m_comboPane;
	CComboBox	m_comboFont;
*/


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CProppageGeneral)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CProppageGeneral)
	virtual BOOL OnInitDialog();
	afx_msg void OnCloseupFontLeft();
	afx_msg void OnCloseupFontRight();
	afx_msg void OnCloseupFontSzLeft();
	afx_msg void OnCloseupFontSzRight();
	afx_msg void OnCheckLastStartVol();
	afx_msg void OnKillfocusStartVolPct();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	// Attributes
	LOGFONT m_listLf;
	LOGFONT m_treeLf;

private:
	CFont m_fontLeft;
	CFont m_fontRight;

	// Members.
	void InitFontComboLeft();
	void InitFontComboRight();
	static int CALLBACK EnumFontFamProcRight(ENUMLOGFONT* lpelf, NEWTEXTMETRIC* lpntm,
											 int nFontType, LPARAM lParam);
	static int CALLBACK EnumFontFamProcLeft(ENUMLOGFONT* lpelf, NEWTEXTMETRIC* lpntm,
											int nFontType, LPARAM lParam);
	void SetFontComboSels();
	int PointSizeToLogicalSize(int ptSz);
	int LogicalSizeToPointSize(int logSz);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPPAGEGENERAL_H__DC827D98_A5BE_4E75_9042_9A6BE30D9C8D__INCLUDED_)
